#Information
Welcome to the Zypr Reference Client Java Implementation ("[ZyprJavaGUI][1]") of the Pioneer Zypr project.

##How to build and run the ZyprJavaGUI
To build and run the ZyprJavaGUI, you need to get an API key. Please check out [APIKEY.md][2] for detailed instructions to get one.

Once you get the API key, check out [BUILD.md][3] for detailed build instructions to build the ZyprJavaGUI with your API key.

When you build the new jar file, you can run the ZyprJavaGUI by typing

    java -cp ./libraries/ -jar zypr-gui-rXXXXXXXX.jar

in Zypr-API-Access-Library---Java folder.

##Bug tracker

Have a bug? Please create an issue here on GitHub!

[https://github.com/Zypr/Zypr-Reference-Client---Java/issues][4]

##Twitter account

Keep up to date on announcements and more by following Zypr on Twitter, [@ZyprNet][5].

#Licensing

Initial version of this code (c) 2009-2011 Media Tuners LLC with a full license to Pioneer Corporation.

Pioneer Corporation licenses this file to you under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at

[http://www.apache.org/licenses/LICENSE-2.0][6]

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

[1]: http://git.io/ZyprJavaGUI
[2]: https://github.com/Zypr/Zypr-Reference-Client---Java/blob/master/APIKEY.md
[3]: https://github.com/Zypr/Zypr-Reference-Client---Java/blob/master/BUILD.md
[4]: https://github.com/Zypr/Zypr-Reference-Client---Java/issues
[5]: http://twitter.com/ZyprNet
[6]: http://www.apache.org/licenses/LICENSE-2.0
